Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.event
Class DataViewListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.event.ComponentListenerAdapter
          com.gwtext.client.widgets.event.BoxComponentListenerAdapter
              com.gwtext.client.widgets.event.DataViewListenerAdapter

All Implemented Interfaces:
  BoxComponentListener, ComponentListener, DataViewListener

    public class DataViewListenerAdapter

extends BoxComponentListenerAdapter
implements DataViewListener

Constructor Summary
`DataViewListenerAdapter()`

Method Summary
`boolean` | `doBeforeClick(DataView source, int index, com.google.gwt.user.client.Element node, EventObject e)` Fires before a click is processed.
`boolean` | `doBeforeSelect(DataView source, com.google.gwt.user.client.Element node, com.google.gwt.user.client.Element[] selections)` Fires before a selection is made.
`void` | `onClick(DataView source, int index, com.google.gwt.user.client.Element node, EventObject e)` Fires when a template node is clicked.
`void` | `onContainerClick(DataView source, EventObject e)` Fires when a click occurs and it is not on a template node.
`void` | `onContextMenu(DataView source, int index, com.google.gwt.user.client.Element node, EventObject e)` Fires when a template node is right clicked.
`void` | `onDblClick(DataView source, int index, com.google.gwt.user.client.Element node, EventObject e)` Fires when a template node is double clicked.
`void` | `onSelectionChange(DataView view, com.google.gwt.user.client.Element[] selections)` Fires when the selected nodes change.

Methods inherited from class com.gwtext.client.widgets.event.BoxComponentListenerAdapter
`onMove, onResize`

Methods inherited from class com.gwtext.client.widgets.event.ComponentListenerAdapter
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gwtext.client.widgets.event.BoxComponentListener
`onMove, onResize`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Constructor Detail

### DataViewListenerAdapter

    public DataViewListenerAdapter()

Method Detail

### doBeforeClick

    public boolean doBeforeClick(DataView source,
                                 int index,
                                 com.google.gwt.user.client.Element node,
                                 EventObject e)

  Description copied from interface: `DataViewListener`
  Fires before a click is processed. Returns false to cancel the default action.

  Specified by:
    `doBeforeClick` in interface `DataViewListener`
  Parameters:
    `source` - this
    `index` - The index of the target node
    `node` - The target node
    `e` - The raw event object
  Returns:
    false to cancel

### doBeforeSelect

    public boolean doBeforeSelect(DataView source,
                                  com.google.gwt.user.client.Element node,
                                  com.google.gwt.user.client.Element[] selections)

  Description copied from interface: `DataViewListener`
  Fires before a selection is made. If any handlers return false, the selection is cancelled.

  Specified by:
    `doBeforeSelect` in interface `DataViewListener`
  Parameters:
    `source` - this
    `node` - The node to be selected
    `selections` - Array of currently selected nodes
  Returns:
    false to cancel

### onClick

    public void onClick(DataView source,
                        int index,
                        com.google.gwt.user.client.Element node,
                        EventObject e)

  Description copied from interface: `DataViewListener`
  Fires when a template node is clicked.

  Specified by:
    `onClick` in interface `DataViewListener`
  Parameters:
    `source` - this
    `index` - The index of the target node
    `node` - The target node
    `e` - The raw event object

### onContainerClick

    public void onContainerClick(DataView source,
                                 EventObject e)

  Description copied from interface: `DataViewListener`
  Fires when a click occurs and it is not on a template node.

  Specified by:
    `onContainerClick` in interface `DataViewListener`
  Parameters:
    `source` - this
    `e` - The raw event object

### onContextMenu

    public void onContextMenu(DataView source,
                              int index,
                              com.google.gwt.user.client.Element node,
                              EventObject e)

  Description copied from interface: `DataViewListener`
  Fires when a template node is right clicked.

  Specified by:
    `onContextMenu` in interface `DataViewListener`
  Parameters:
    `source` - this
    `index` - The index of the target node
    `node` - The target node
    `e` - The raw event object

### onDblClick

    public void onDblClick(DataView source,
                           int index,
                           com.google.gwt.user.client.Element node,
                           EventObject e)

  Description copied from interface: `DataViewListener`
  Fires when a template node is double clicked.

  Specified by:
    `onDblClick` in interface `DataViewListener`
  Parameters:
    `source` - this
    `index` - The index of the target node
    `node` - The target node
    `e` - The raw event object

### onSelectionChange

    public void onSelectionChange(DataView view,
                                  com.google.gwt.user.client.Element[] selections)

  Description copied from interface: `DataViewListener`
  Fires when the selected nodes change.

  Specified by:
    `onSelectionChange` in interface `DataViewListener`
  Parameters:
    `view` - this
    `selections` - array of the selected nodes

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD